
%define packname   BufferedMatrix 

Name:              R-%{packname}
Version:           1.0.1
Release:           5%{?dist}
Summary:           A matrix data storage object held in temporary files
Summary(fr):       Stockage des données d'un matrice dans un fichier temporaire

Group:             Applications/Engineering
License:           LGPL
URL:               http://bioconductor.org/packages/2.0/bioc/html/%{packname}.html
Source0:           http://bioconductor.org/packages/2.0/bioc/src/contrib/%{packname}_%{version}.tar.gz 
BuildRoot:         %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    R tetex-latex 
Requires(post):   R
Requires(postun): R

%package           devel
Summary:           Development files for %{name}	
Group:             Development/Libraries
Requires:          %{name} = %{version}	

%description
A tabular style data object where most data is stored outside main memory. 
A buffer is used to speed up access to data.

%description -l fr
Une table de données dans laquelle la plus part des données sont stocké,
en dehors de la mémoire principale. Une mémoire tampon est utilisé pour
accélérer l'accès aux données.

%description    devel
The %{name}-devel  package contains Header and libraries files for
developing applications that use %{name}

%prep
%setup -c -q -n %{packname}

%build

%install
rm -rf %{buildroot}
sed -i -e 's/\r$//' %{packname}/inst/doc/BufferedMatrix.Rnw

mkdir -p  $RPM_BUILD_ROOT%{_datadir}/R/library/%{packname}/include/
install -D %{packname}/inst/include/*  $RPM_BUILD_ROOT%{_datadir}/R/library/%{packname}/include/
chmod -x $RPM_BUILD_ROOT%{_datadir}/R/library/%{packname}/include/*

mkdir -p %{buildroot}%{_libdir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library

test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

rm -rf %{buildroot}%{_libdir}/R/library/%{packname}/include/

%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%post 
%{_R_make_search_index}

%postun 
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
%dir %{_libdir}/R/library/%{packname}
%{_libdir}/R/library/%{packname}/CONTENTS
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/Meta/
%{_libdir}/R/library/%{packname}/R-ex/
%{_libdir}/R/library/%{packname}/R/
%{_libdir}/R/library/%{packname}/help/
%{_libdir}/R/library/%{packname}/libs/
%doc %{_libdir}/R/library/%{packname}/man/
%doc %{_libdir}/R/library/%{packname}/latex/
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/html

%files		devel
%defattr(-,root,root,-)
%{_datadir}/R/library/%{packname}/include/


%changelog
* Wed Jul 11 2007 Pingou <pingoufc4@yahoo.fr> 1.0.1-5
- Change in the files section to fit the guidelines
* Wed Jul 11 2007 Pingou <pingoufc4@yahoo.fr> 1.0.1-4
- Change in the spec to remove the %%{__**} form in the macro
* Tue Jul 10 2007 Pingou <pingoufc4@yahoo.fr> 1.0.1-3
- Change in post and postun to fit the packaging guidelines
- Change in the prep section to fit the guidelines
* Thu Jul 05 2007 Pingou <pingoufc4@yahoo.fr> 1.0.1-2
- Fix install include
* Mon Jul 02 2007 Pingou <pingoufc4@yahoo.fr> 1.0.1-1
- initial package for Fedora

